%define		oname %{name}6

Name:		getmail
Summary:	IMAP and POP3 mail retriever with reliable Maildir delivery
Version:	6.19.07
Release:	%mkrel 2
License:	GPLv2
Group:		Networking/Mail
URL:		https://github.com/getmail6/getmail6
Source0:	https://github.com/%{oname}/%{oname}/archive/v%{version}/%{oname}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)

%description
getmail is intended as a simple replacement for fetchmail for those people who
do not need its various and sundry configuration options, complexities, and
bugs.  It retrieves mail from one or more IMAP or POP3 servers for one or more
email accounts, and reliably delivers into a mbox or Maildir specified on a
per-account basis.  Retrieval of mail using SSL is supported for both
protocols.

%prep
%setup -q -n %{oname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files getmailcore

#handle docs in files section
rm -rf %{buildroot}%{_docdir}

%files -f %{pyproject_files}
%doc docs/BUGS docs/CHANGELOG docs/THANKS
%doc docs/*.txt docs/*.html docs/*.css
%doc docs/getmailrc-examples
%{_bindir}/%{name}*
%{_mandir}/man1/%{name}*
%license docs/COPYING


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 6.19.07-2.mga10
+ Revision: 2242053
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 papoteur <papoteur> 6.19.07-1.mga10
+ Revision: 2159363
- new version 6.19.07

* Wed Mar 20 2024 solbu <solbu> 6.18.14-1.mga10
+ Revision: 2051013
- New release: 6.18.14

* Tue Feb 27 2024 daviddavid <daviddavid> 6.18.13-1.mga10
+ Revision: 2044567
- new version: 6.18.13
- rebuild for py3.12
- switch to pyproject

* Wed May 11 2022 solbu <solbu> 6.18.9-1.mga9
+ Revision: 1857650
- New release: 6.18.9

* Mon Mar 21 2022 umeabot <umeabot> 6.18.6-3.mga9
+ Revision: 1816214
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 6.18.6-2.mga9
+ Revision: 1782858
- Rebuild for python-3.10

* Sun Jan 09 2022 solbu <solbu> 6.18.6-1.mga9
+ Revision: 1767324
- New release: 6.18.6

* Sat Oct 30 2021 solbu <solbu> 6.18.5-1.mga9
+ Revision: 1753372
- New release: 6.18.5

* Sat May 01 2021 wally <wally> 6.15-1.mga9
+ Revision: 1720812
- new version 6.15

* Thu Dec 31 2020 solbu <solbu> 6.12-1.mga8
+ Revision: 1667138
- New release: 6.12

* Sat Aug 15 2020 solbu <solbu> 6.02-1.mga8
+ Revision: 1614132
- New upstream URL
- New version: 6.02
- Revive getmail

* Sun Feb 16 2020 umeabot <umeabot> 5.14-2.mga8
+ Revision: 1530502
- Mageia 8 Mass Rebuild

* Fri Aug 30 2019 daviddavid <daviddavid> 5.14-1.mga8
+ Revision: 1435303
- new version: 5.14

* Sat Feb 23 2019 daviddavid <daviddavid> 5.13-1.mga7
+ Revision: 1369533
- new version: 5.13

* Sat Feb 23 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1369448
- new version: 5.12

* Wed Feb 13 2019 daviddavid <daviddavid> 5.11-1.mga7
+ Revision: 1366702
- new version: 5.11

* Wed Feb 13 2019 daviddavid <daviddavid> 5.10-1.mga7
+ Revision: 1366675
- new version: 5.10

* Fri Feb 08 2019 daviddavid <daviddavid> 5.9-1.mga7
+ Revision: 1364205
- new version: 5.9

* Sat Nov 10 2018 daviddavid <daviddavid> 5.8-1.mga7
+ Revision: 1329371
- new version: 5.8

* Sat Nov 10 2018 daviddavid <daviddavid> 5.7-1.mga7
+ Revision: 1329346
- new version: 5.7

* Thu Sep 20 2018 umeabot <umeabot> 5.6-2.mga7
+ Revision: 1278406
- Mageia 7 Mass Rebuild

* Sat May 19 2018 daviddavid <daviddavid> 5.6-1.mga7
+ Revision: 1230457
- new version: 5.6

* Tue Mar 27 2018 kekepower <kekepower> 5.5-1.mga7
+ Revision: 1212935
- Update to version 5.5

* Wed Jan 13 2016 remmy <remmy> 4.49.0-1.mga6
+ Revision: 922845
- New upstream version: 4.49.0

* Tue Jan 12 2016 remmy <remmy> 4.48.0-5.mga6
+ Revision: 922078
- New upstream version: 4.48.0

* Wed Oct 15 2014 umeabot <umeabot> 4.46.0-5.mga5
+ Revision: 745589
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 4.46.0-4.mga5
+ Revision: 726320
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 4.46.0-3.mga5
+ Revision: 679549
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 4.46.0-2.mga5
+ Revision: 628217
- Rebuild for new Python

* Wed Apr 09 2014 remmy <remmy> 4.46.0-1.mga5
+ Revision: 612991
- New upstream version

* Sun Mar 23 2014 remmy <remmy> 4.44.0-1.mga5
+ Revision: 606702
- New upstream version: 4.44.0

* Sat Feb 08 2014 dams <dams> 4.43.0-1.mga5
+ Revision: 585800
- new version 4.43.0

* Tue Oct 22 2013 umeabot <umeabot> 4.41.0-3.mga4
+ Revision: 542541
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 4.41.0-2.mga4
+ Revision: 497758
- Rebuild to add different pythonegg provides for python 2 and 3

* Tue Jul 09 2013 wally <wally> 4.41.0-1.mga4
+ Revision: 452117
- new version 4.41.0
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 4.36.0-2.mga3
+ Revision: 351499
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 remmy <remmy> 4.36.0-1.mga3
+ Revision: 331399
- New upstream version 4.36.0, adding support for storing and retrieving
  passwords on the GNOME keyring

* Sun Nov 11 2012 remmy <remmy> 4.35.0-1.mga3
+ Revision: 316933
- New upstream version: 4.35.0

* Sat Sep 15 2012 remmy <remmy> 4.34.0-1.mga3
+ Revision: 294072
- New upstream version: 4.34.0

* Sat Aug 11 2012 remmy <remmy> 4.33.0-1.mga3
+ Revision: 280521
- New upstream version: 4.33.0

* Sat Jul 07 2012 remmy <remmy> 4.32.0-1.mga3
+ Revision: 268568
- New upstream version: 4.32.0

* Fri Jul 06 2012 remmy <remmy> 4.31.0-1.mga3
+ Revision: 268410
- New upstream version: 4.31.0

* Fri Jun 22 2012 remmy <remmy> 4.30.1-1.mga3
+ Revision: 262550
- New upstream version: 4.30.1

* Sun Nov 20 2011 kharec <kharec> 4.23.0-2.mga2
+ Revision: 170082
- new version 4.23.0

* Sat Oct 01 2011 stormi <stormi> 4.22.1-2.mga2
+ Revision: 150809
- bump release to stay above Mageia 1

* Sat Oct 01 2011 remmy <remmy> 4.22.1-1.mga2
+ Revision: 150803
- Update to latest upstream version

* Sun Jun 19 2011 kharec <kharec> 4.20.3-1.mga2
+ Revision: 109741
- new version 4.20.3

* Sun Jan 09 2011 kharec <kharec> 4.20.0-2.mga2
+ Revision: 1339
- imported package getmail


* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 4.20.0-2mdv2011.0
+ Revision: 592386
- rebuild for python 2.7

* Tue Aug 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.20.0-1mdv2011.0
+ Revision: 572615
- update to 4.20.0
- don't define name, version and release on top of spec. (cosmetic)

* Thu Jan 07 2010 Frederik Himpe <fhimpe@mandriva.org> 4.16.0-1mdv2010.1
+ Revision: 487286
- update to new version 4.16.0

* Thu Dec 24 2009 Frederik Himpe <fhimpe@mandriva.org> 4.14.0-1mdv2010.1
+ Revision: 481981
- update to new version 4.14.0

* Tue Nov 10 2009 Michael Scherer <misc@mandriva.org> 4.13.0-1mdv2010.1
+ Revision: 463856
- update to new version 4.13.0

* Sun Aug 23 2009 Frederik Himpe <fhimpe@mandriva.org> 4.11.0-1mdv2010.0
+ Revision: 420169
- update to new version 4.11.0

* Sat Aug 08 2009 Frederik Himpe <fhimpe@mandriva.org> 4.10.0-1mdv2010.0
+ Revision: 411745
- update to new version 4.10.0

* Wed Jun 03 2009 Michael Scherer <misc@mandriva.org> 4.9.0-1mdv2010.0
+ Revision: 382355
- update to new version 4.9.0

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 4.8.4-2mdv2009.1
+ Revision: 325244
- rebuild

* Wed Nov 05 2008 Michael Scherer <misc@mandriva.org> 4.8.4-1mdv2009.1
+ Revision: 300120
- update to new version 4.8.4

* Fri Aug 15 2008 Michael Scherer <misc@mandriva.org> 4.8.3-1mdv2009.0
+ Revision: 272296
- update to new version 4.8.3

* Mon Aug 04 2008 Frederik Himpe <fhimpe@mandriva.org> 4.8.2-1mdv2009.0
+ Revision: 263383
- update to new version 4.8.2

* Wed May 14 2008 Michael Scherer <misc@mandriva.org> 4.8.1-1mdv2009.0
+ Revision: 207255
- update to new version 4.8.1

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 4.8.0-1mdv2008.1
+ Revision: 177095
- new version

* Mon Feb 11 2008 Michael Scherer <misc@mandriva.org> 4.7.8-1mdv2008.1
+ Revision: 165072
- new version 4.7.8
- use gz instead of bz2

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 15 2007 Michael Scherer <misc@mandriva.org> 4.7.6-1mdv2008.0
+ Revision: 63635
- update to 4.7.6, fix #32557

* Sun Jul 01 2007 Michael Scherer <misc@mandriva.org> 4.7.5-1mdv2008.0
+ Revision: 46489
- 4.7.5
- remove old doc directory, new doc policy on cooker

* Wed Apr 25 2007 Lenny Cartier <lenny@mandriva.org> 4.7.4-1mdv2008.0
+ Revision: 18191
- Update to 4.7.4

* Sun Apr 22 2007 Michael Scherer <misc@mandriva.org> 4.7.3-1mdv2008.0
+ Revision: 16979
- update to 4.7.3


* Wed Feb 21 2007 Lenny Cartier <lenny@mandriva.com> 4.7.2-1mdv2007.0
+ Revision: 123707
- Update to 4.7.2

* Tue Feb 06 2007 Lenny Cartier <lenny@mandriva.com> 4.7.1-1mdv2007.1
+ Revision: 116587
- Update to 4.7.1

* Thu Jan 25 2007 Lenny Cartier <lenny@mandriva.com> 4.7.0-2mdv2007.1
+ Revision: 113277
- Fix filelist
- Update to 4.7.0
- Update to 4.6.7

* Tue Dec 19 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.6.6-2mdv2007.1
+ Revision: 99221
- Rebuild against new python

  + Lenny Cartier <lenny@mandriva.com>
    - Update to 4.6.6

* Wed Oct 04 2006 Michael Scherer <misc@mandriva.org> 4.6.4-1mdv2007.1
+ Revision: 62833
- clean specfiles from comment, and old part of the spec
- fix build on x86_64, with correct macros
- update to 4.6.4
- Import getmail

* Sun Jul 09 2006 Michael Scherer <misc@mandriva.org> 4.6.3-1
- New release 4.6.3

* Wed Jun 14 2006 Lenny Cartier <lenny@mandriva.com> 4.6.2-1mdv2007.0
- 4.6.2

* Fri Jun 02 2006 Lenny Cartier <lenny@mandriva.com> 4.6.1-1mdv2007.0
- 4.6.1

* Fri Apr 14 2006 Lenny Cartier <lenny@mandriva.com> 4.6.0-1mdk
- 4.6.0

* Thu Feb 09 2006 Lenny Cartier <lenny@mandriva.com> 4.5.3-1mdk
- 4.5.3

* Wed Feb 08 2006 Lenny Cartier <lenny@mandriva.com> 4.5.2-1mdk
- 4.5.2

* Mon Jan 02 2006 Lenny Cartier <lenny@mandriva.com> 4.5.0-1mdk
- 4.5.0

* Fri Dec 02 2005 Lenny Cartier <lenny@mandriva.com> 4.4.3-1mdk
- 4.4.3

* Mon Nov 14 2005 Michael Scherer <misc@mandriva.org> 4.4.2-1mdk
- New release 4.4.2

* Fri Nov 11 2005 Michael Scherer <misc@mandriva.org> 4.4.1-1mdk
- New release 4.4.1

* Wed Nov 09 2005 Michael Scherer <misc@mandriva.org> 4.4.0-1mdk
- New release 4.4.0

* Wed Oct 26 2005 Michael Scherer <misc@mandriva.org> 4.3.13-1mdk
- New release 4.3.13
- %%mkrel
- remove -q for %%prep
- fix BuildRequires

* Sat Jun 18 2005 Lenny Cartier <lenny@mandriva.com> 4.3.11-1mdk
- 4.3.11

* Sun May 22 2005 Lenny Cartier <lenny@mandriva.com> 4.3.10-1mdk
- 4.3.10

* Tue Apr 05 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.5-1mdk
- 4.3.5

* Mon Feb 21 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.3-1mdk
- 4.3.3

* Sun Feb 06 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.2-1mdk
- 4.3.2

* Wed Jan 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.1-1mdk
- 4.3.1

* Mon Jan 10 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.3.0-1mdk
- 4.3.0

* Mon Jan 03 2005 Lenny Cartier <lenny@mandrakesoft.com> 4.2.6-1mdk
- 4.2.6

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 4.2.4-2mdk
- Rebuild for new python

* Mon Nov 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.2.4-1mdk
- 4.2.4

* Tue Oct 12 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.2.1-1mdk
- 4.2.1

* Wed Sep 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.2.0-1mdk
- 4.2.0

* Thu Sep 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.1.3-1mdk
- 4.1.3

* Thu Aug 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.1.0-1mdk
- 4.1.0

* Fri Aug 20 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.12-1mdk
- 4.0.12

* Sat Aug 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.10-1mdk
- 4.0.10

* Tue Aug 10 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.8-1mdk
- 4.0.8

* Fri Aug 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.6-1mdk
- 4.0.6

* Wed Aug 04 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.4-1mdk
- 4.0.4

* Tue Jul 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 4.0.1-1mdk
- 4.0.1

* Sun Jul 25 2004 Michael Scherer <misc@mandrake.org> 4.0.0-1mdk
- New release 4.0.0
- change url

* Sat May 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2.4-1mdk
- 3.2.4

* Tue Mar 23 2004 Michael Scherer <misc@mandrake.org> 3.2.2-1mdk
- 3.2.2
- use /usr/share/getmail/

